timeouts:
  job:
    minutes: 100
  connection:
    minutes: 2
context:
  bootloader_prompt: juno#
device_type: juno-r2
job_name: linux-mainline-oe--ltp-quickhit-mainline-822
priority: high
visibility: public
metadata:
  git branch: mainline
  git repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
  git commit: v5.5-rc1-12-g6794862a16ef
  git describe: v5.5-rc1-12-g6794862a16ef
  make_kernelversion: 5.4-rc8
  kernel-config: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/arm64/defconfig%2Blkft/gcc-8/kernel.config
  kernel-defconfig: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/822/defconfig
  build-url: http://ci.staging.lkft.org/job/kernel-arch-complete/822/
  build-location: http://storage.staging.lkft.org//mainline/master/v5.5-rc1-12-g6794862a16ef
  toolchain: unknown
  series: lkft
  email-notification: ''
  ltp-quickhit-tests__url: unknown
  ltp-quickhit-tests__version: unknown
  ltp-quickhit-tests__revision: unknown
actions:
- deploy:
    namespace: target
    timeout:
      minutes: 40
    to: tftp
    kernel:
      url: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/arm64/defconfig%2Blkft/gcc-8/Image
      type: image
    dtb:
      url: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/arm64/defconfig%2Blkft/gcc-8/dtbs/arm/juno-r2.dtb
    modules:
      url: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/arm64/defconfig%2Blkft/gcc-8/modules.tar.xz
      compression: xz
    nfsrootfs:
      url: http://storage.staging.lkft.org/rootfs/oe-lkft-sumo/juno/62/rpb-console-image-lkft-juno-20190923201430.rootfs.tar.xz
      compression: xz
    os: oe
- boot:
    namespace: target
    auto_login:
      login_prompt: 'login:'
      username: root
      password_prompt: ''
      password: ''
    prompts:
    - root@(.*):[/~]#
    timeout:
      minutes: 15
    method: u-boot
    commands: nfs
- test:
    namespace: target
    timeout:
      minutes: 5
    definitions:
    - from: inline
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: prep-tests
          description: Device preparation
        run:
          steps:
          - export STORAGE_DEV=$(lava-target-storage SATA || lava-target-storage USB)
          - test -n "${STORAGE_DEV}" || lava-test-raise "STORAGE_DEV not found; job
            exit"
          - echo "y" | mkfs -t ext4 ${STORAGE_DEV} || lava-test-raise "mkfs -t ext4
            ${STORAGE_DEV} failed; job exit"
          - mkdir -p /scratch
          - mount ${STORAGE_DEV} /scratch && echo "mounted" || lava-test-raise "mount
            ${STORAGE_DEV} failed; job exit"
          - df -h
          - mount
      name: prep-inline
      path: inline/prep.yaml
- test:
    namespace: target
    timeout:
      minutes: 45
    definitions:
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      path: automated/linux/ltp/ltp.yaml
      parameters:
        SKIP_INSTALL: 'true'
        TST_CMDFILES: quickhit
        SKIPFILE: skipfile-lkft.yaml
        BOARD: juno-r2
        BRANCH: mainline
        ENVIRONMENT: production
        TIMEOUT_MULTIPLIER: 3
        LTP_TMPDIR: /scratch
      name: ltp-quickhit-tests
